com.amazonaws.codegen.model.intermediate

## Class AcceptorModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.AcceptorModel

    public class AcceptorModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AcceptorModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArgument()`
`String` `getAst()`
`String` `getEnumState()`
`com.fasterxml.jackson.databind.JsonNode` `getExpected()`
`String` `getExpectedAsCamelCase()`
`String` `getExpectedAsEscapedJson()`
`BigDecimal` `getExpectedAsNumber()`
`String` `getExpectedAsString()`
`boolean` `getIsErrorMatcher()`
`boolean` `getIsStatusMatcher()`
`String` `getMatcher()`
`String` `getState()`
`void` `setArgument(String argument)`
`void` `setAst(JmesPathExpression ast)`
`void` `setExpected(com.fasterxml.jackson.databind.JsonNode expected)`
`void` `setMatcher(String matcher)`
`void` `setState(String state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcceptorModel

    public AcceptorModel()

### Method Detail

#### setAst

    public void setAst(JmesPathExpression ast)

#### getAst

    public String getAst()

#### setState

    public void setState(String state)

#### getState

    public String getState()

#### setMatcher

    public void setMatcher(String matcher)

#### getMatcher

    public String getMatcher()

#### setArgument

    public void setArgument(String argument)

#### getArgument

    public String getArgument()

#### setExpected

    public void setExpected(com.fasterxml.jackson.databind.JsonNode expected)

#### getExpected

    public com.fasterxml.jackson.databind.JsonNode getExpected()

#### getExpectedAsCamelCase

    public String getExpectedAsCamelCase()

#### getExpectedAsEscapedJson

    public String getExpectedAsEscapedJson()

#### getExpectedAsString

    public String getExpectedAsString()

#### getExpectedAsNumber

    public BigDecimal getExpectedAsNumber()

#### getEnumState

    public String getEnumState()

#### getIsStatusMatcher

    public boolean getIsStatusMatcher()

#### getIsErrorMatcher

    public boolean getIsErrorMatcher()